PamCut: TrkChi2DeflCut Class Reference

# TrkChi2DeflCut Class Reference

The tracker chi2 vs deflection cut. More...

`#include <TrkChi2DeflCut.h>`

Inheritance diagram for TrkChi2DeflCut:

List of all members.

## Public Member Functions
| TrkChi2DeflCut (const char *cutName, float p0, float p1, float p2)
| Constructor.
| ~TrkChi2DeflCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The tracker chi2 vs deflection check.
## Private Attributes
float | _p0
float | _p1
float | _p2

## Detailed Description

The tracker chi2 vs deflection cut.

Events whose track has been fitted with a chi2 greater than Chi2(eta) are discarded. Chi2(eta) is a function which gives the maximum value of chi2 associated to a certain deflection eta; in current implementation it is parameterized as:

Chi2(eta) = p0 + p1 * eta^2 + p2 * eta ^4

where p0, p1 and p2 are parameters.

Definition at line 28 of file TrkChi2DeflCut.h.

## Constructor & Destructor Documentation

TrkChi2DeflCut::TrkChi2DeflCut | ( | const char * | cutName,
|  | float | p0,
|  | float | p1,
|  | float | p2 |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | p0 | The constant term in Chi2(eta).
  | p1 | The coefficient or the quadratic term in Chi2(eta).
  | p2 | The coefficient or the quartic term in Chi2(eta).

Definition at line 38 of file TrkChi2DeflCut.h.

TrkChi2DeflCut::~TrkChi2DeflCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 58 of file TrkChi2DeflCut.h.

## Member Function Documentation

int TrkChi2DeflCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The tracker chi2 vs deflection check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if chi2 < Chi2(eta).

  0 if not

Implements PamCut.

Definition at line 10 of file TrkChi2DeflCut.cpp.

References _p0, _p1, _p2, and CUTOK.

## Member Data Documentation

float TrkChi2DeflCut::_p0`[private]`

Definition at line 87 of file TrkChi2DeflCut.h.

Referenced by Check().

float TrkChi2DeflCut::_p1`[private]`

Definition at line 87 of file TrkChi2DeflCut.h.

Referenced by Check().

float TrkChi2DeflCut::_p2`[private]`

Definition at line 87 of file TrkChi2DeflCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TrkCuts/TrkChi2DeflCut/TrkChi2DeflCut.h
- TrkCuts/TrkChi2DeflCut/TrkChi2DeflCut.cpp